Skip to main content
GET
/
finops
/
v1
/
internal
/
payment-page-theme
Get partner payment page theme settings for frontend
curl --request GET \
  --url https://api.sandbox.tesouro.com/finops/v1/internal/payment-page-theme \
  --header 'Authorization: Bearer <token>' \
  --header 'x-finops-version: <x-finops-version>'
{
  "background_color": "<string>",
  "border_radius": "<string>",
  "button": {
    "primary_color": "<string>",
    "primary_hover_color": "<string>",
    "secondary_color": "<string>",
    "secondary_hover_color": "<string>"
  },
  "card": {
    "background_color": "<string>"
  },
  "font_color": "<string>",
  "font_family": "<string>",
  "font_link_href": "<string>",
  "footer": {
    "logo_url": "<string>",
    "website_url": "https://monite.com"
  },
  "logo_src": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required

Query Parameters

partner_id
string<uuid>
required
project_id
string<uuid>
required

Response

Successful Response

background_color
string<color> | null
border_radius
string | null
button
object
card
object
font_color
string<color> | null
font_family
string | null
Required string length: 1 - 2083
logo_src
string<uri> | null
Required string length: 1 - 2083